BEGIN 9xComm1

IF~True()~THEN BEGIN Commoner100
SAY @0
IF~~THEN REPLY @1 GOTO Commoner101
IF~~THEN REPLY @2 GOTO Commoner102
IF~~THEN REPLY @3 GOTO Commoner103
END

IF~~THEN BEGIN Commoner101
SAY @4
IF~~THEN REPLY @5 GOTO Commoner102
IF~~THEN REPLY @6 GOTO Commoner103
END

IF~~THEN BEGIN Commoner102
SAY @7
=
@8
IF~~THEN REPLY @9 GOTO Commoner101
IF~~THEN REPLY @10 GOTO Commoner103
END

IF~~THEN BEGIN Commoner103
SAY @11
=
@12
IF~~THEN EXIT
END

BEGIN 9xComm2

IF~True()~THEN BEGIN Commoner200
SAY @13
IF~RandomNum(4,1)~ THEN GOTO Commoner201
IF~RandomNum(4,2)~ THEN GOTO Commoner202
IF~RandomNum(4,3)~ THEN GOTO Commoner203
IF~RandomNum(4,4)~ THEN GOTO Commoner204
END

IF~~THEN BEGIN Commoner201
SAY @14
IF~~THEN EXIT
END

IF~~THEN BEGIN Commoner202
SAY @15
IF~~THEN EXIT
END

IF~~THEN BEGIN Commoner203
SAY @16
IF~~THEN EXIT
END

IF~~THEN BEGIN Commoner204
SAY @17
IF~~THEN EXIT
END

BEGIN 9xComm3

IF~True()~THEN BEGIN Commoner300
SAY @18
=
@19
IF~~THEN EXIT
END

BEGIN 9xComm4

IF~True()~THEN BEGIN Commoner400
SAY @20
IF~~THEN EXIT
END

BEGIN 9xcomm5

IF~NumTimesTalkedTo(0)~THEN BEGIN Commoner500
SAY @21
IF~~THEN REPLY @22 GOTO Commoner501
IF~~THEN REPLY @23 GOTO Commoner502
IF~~THEN REPLY @24 GOTO Commoner503
END

IF~~THEN BEGIN Commoner501
SAY @25
IF~~THEN REPLY @26 GOTO Commoner504
IF~~THEN REPLY @27 GOTO Commoner502
IF~~THEN REPLY @28 GOTO Commoner503
END

IF~~THEN BEGIN Commoner502
SAY @29
IF~~THEN REPLY @30 GOTO Commoner505
IF~~THEN REPLY @31 GOTO Commoner504
IF~~THEN REPLY @32 GOTO Commoner503
END

IF~~THEN BEGIN Commoner505
SAY @33
IF~~THEN DO ~EscapeArea()~ EXIT
END

IF~~THEN BEGIN Commoner504
SAY @34
IF~~THEN EXIT
END

IF~~THEN BEGIN Commoner503
SAY @35
IF~~THEN EXIT
END

IF~NumTimesTalkedToGT(0)~THEN BEGIN Commoner50B
SAY @36
IF~~THEN EXIT
END

BEGIN 9xcomm6

IF~True()~THEN BEGIN Commoner600
SAY @37
IF~~THEN REPLY @38 GOTO Commoner601
IF~~THEN REPLY @39 GOTO Commoner601
IF~~THEN REPLY @40 GOTO Commoner601
IF~~THEN REPLY @41 GOTO Commoner602
END

IF~~THEN BEGIN Commoner601
SAY @42
IF~~THEN EXIT
END

IF~~THEN BEGIN Commoner602
SAY @43
IF~~THEN EXIT
END